die(3)

NAME
die - print warning diagnostic and abort program

SYNTAX
#include <libowfat/errmsg.h>

void die(int exitcode, const char *message, ...);

DESCRIPTION

If errmsg_iam was called to set the program name, die will first print that program name and a colon.

die will print all its arguments to stderr (fd #2) and then call exit(exitcode).

It does not synchronize with any other output method.

Flush buffer_1 and buffer_2 manually first if needed.

NOTE

This function does not return.

SEE ALSO
errmsg(7), buffer_flush(3)